package db

import (
	"applet/app/db/model"
	"applet/app/utils"
	"xorm.io/xorm"
)

func GetBankNotice(eg *xorm.Engine, args map[string]string) *[]model.CommunityTeamStoreNotice {
	var data []model.CommunityTeamStoreNotice
	size := utils.StrToInt(args["size"])
	start := (utils.StrToInt(args["p"]) - 1) * size
	err := eg.Where("uid=?", args["uid"]).Limit(size, start).OrderBy("id desc").Find(&data)
	if err != nil {
		return nil
	}
	return &data
}
